/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.3
 *
 * @date        2023-07-31
 *
 * @attention
 *
 *  Copyright (C) 2021-2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
  extern "C" {
#endif

/* Includes */
#include "apm32f4xx.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup CAN_Normal
  @{
  */

/** @defgroup CAN_Normal_Enumerations Enumerations
  @{
*/

enum
{
    FAILED = 0,  /*!< Failed value */
    PASSED = 1   /*!< Passed value */
};

enum
{
    CAN_BAUD_125K = 0,  /*!< CAN baud rate config to 125K */
    CAN_BAUD_250K = 1,  /*!< CAN baud rate config to 250K */
    CAN_BAUD_500K = 2,  /*!< CAN baud rate config to 500K */
    CAN_BAUD_1M   = 3   /*!< CAN baud rate config to 1M */
};

/**@} end of group CAN_Normal_Enumerations*/

/** @defgroup CAN_Normal_Functions Functions
  @{
  */
void CAN1_RxIsr(void);
void CAN2_RxIsr(void);

/**@} end of group CAN_Normal_Functions */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */


/**@} end of group CAN_Normal */
/**@} end of group Examples */
