/*!
 * @file        low_power_modes.h
 *
 * @brief       Header for low_power_modes.c module
 *
 * @version     V1.0.1
 *
 * @date        2023-07-31
 *
 * @attention
 *
 *  Copyright (C) 2021-2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __LPMODES_H
#define __LPMODES_H

#ifdef __cplusplus
  extern "C" {
#endif

/* Includes */
#include "main.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup PMU_Consumption
  @{
  */

/** @defgroup PMU_Consumption_Functions Functions
  @{
  */
void ConsumptionMeasure_SleepMode(void);
void ConsumptionMeasure_StopMode(void);
void ConsumptionMeasure_StandbyMode(void);
void ConsumptionMeasure_StandbyRTCMode(void);
void ConsumptionMeasure_StandbyRTCBKPSRAMMode(void);

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group PMU_Consumption_Functions */
/**@} end of group PMU_Consumption */
/**@} end of group Examples */
