/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.1
 *
 * @date        2023-07-31
 *
 * @attention
 *
 *  Copyright (C) 2021-2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
  extern "C" {
#endif

/* Includes */
#include "apm32f4xx.h"
#include "Board.h"
#include "apm32f4xx_pmu.h"
#include "apm32f4xx_usart.h"
#include "apm32f4xx_rcm.h"
#include "apm32f4xx_fmc.h"
#include "apm32f4xx_rtc.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup PMU_Consumption
  @{
  */

/** @defgroup PMU_Consumption_Macros Macros
  @{
*/

#ifdef APM32F411
#define APM_LEDInit     APM_TINY_LEDInit
#define APM_PBInit      APM_TINY_PBInit
#define APM_COMInit     APM_TINY_COMInit
#define APM_LEDToggle   APM_TINY_LEDToggle
#define APM_PBGetState  APM_TINY_PBGetState
#else
#define APM_LEDInit     APM_MINI_LEDInit
#define APM_PBInit      APM_MINI_PBInit
#define APM_COMInit     APM_MINI_COMInit
#define APM_LEDToggle   APM_MINI_LEDToggle
#define APM_PBGetState  APM_MINI_PBGetState
#endif /* APM32F411 */

/**@} end of group PMU_BOR_Macros*/

/** @defgroup PMU_Consumption_Functions Functions
  @{
  */
void Delay(uint32_t count);

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group PMU_Consumption_Functions */
/**@} end of group PMU_Consumption */
/**@} end of group Examples */
