/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.3
 *
 * @date        2023-07-31
 *
 * @attention
 *
 *  Copyright (C) 2021-2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
  extern "C" {
#endif

/* Includes */
#include "Board.h"
#include "stdio.h"

#include "apm32f4xx.h"
#include "apm32f4xx_can.h"
#include "apm32f4xx_misc.h"
#include "apm32f4xx_gpio.h"
#include "apm32f4xx_usart.h"
#include "apm32f4xx_misc.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup SDIO_SDCard
  @{
  */

/** @defgroup SDIO_SDCard_Macros Macros
  @{
  */

#ifdef APM32F411
#define APM_LEDInit  APM_TINY_LEDInit
#define APM_PBInit   APM_TINY_PBInit
#define APM_LEDOn    APM_TINY_LEDOn
#define APM_LEDOff   APM_TINY_LEDOff
#define F4COM1       TINY_COM1
#define F4COM2       TINY_COM2
#define COM1_IRQn    TINY_COM1_IRQn
#define COM2_IRQn    TINY_COM2_IRQn
#define APM_COMInit  APM_TINY_COMInit
#else
#define APM_LEDInit  APM_MINI_LEDInit
#define APM_PBInit   APM_MINI_PBInit
#define APM_LEDOn    APM_MINI_LEDOn
#define APM_LEDOff   APM_MINI_LEDOff
#define F4COM1       MINI_COM1
#define F4COM2       MINI_COM2
#define COM1_IRQn    MINI_COM1_IRQn
#define COM2_IRQn    MINI_COM2_IRQn
#define APM_COMInit  APM_MINI_COMInit
#endif /* APM32F411 */

/**@} end of group SDIO_SDCard_Macros */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group SDIO_SDCard */
/**@} end of group Examples */
