/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-07-31
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef _MAIN_H_
#define _MAIN_H_

/* Includes */
#include "board.h"
#include "stdio.h"

#include "apm32f4xx.h"
#include "apm32f4xx_can.h"
#include "apm32f4xx_misc.h"
#include "apm32f4xx_gpio.h"
#include "apm32f4xx_usart.h"
#include "apm32f4xx_misc.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup OTGD_Custom_HID_Keyboard
  @{
  */

/** @defgroup OTGD_Custom_HID_Keyboard_Macros Macros
  @{
  */

#ifdef APM32F411
#define APM_COMInit     APM_TINY_COMInit
#define APM_PBInit      APM_TINY_PBInit
#define APM_LEDInit     APM_TINY_LEDInit
#define APM_PBGetState  APM_TINY_PBGetState
#define APM_LEDOn       APM_TINY_LEDOn
#define APM_LEDOff      APM_TINY_LEDOff
#else
#define APM_COMInit     APM_MINI_COMInit
#define APM_PBInit      APM_MINI_PBInit
#define APM_LEDInit     APM_MINI_LEDInit
#define APM_PBGetState  APM_MINI_PBGetState
#define APM_LEDOn       APM_MINI_LEDOn
#define APM_LEDOff      APM_MINI_LEDOff
#endif /* APM32F411 */

/**@} end of group OTGD_Custom_HID_Keyboard_Macros */
/**@} end of group OTGD_Custom_HID_Keyboard */
/**@} end of group Examples */

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
